[@rxap/forms](../wiki/globals) / FormDefinition

# Interface: FormDefinition\<T, E, JSON\>

Defined in: [packages/angular/forms/src/lib/model.ts:54](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/model.ts#L54)

## Type Parameters

• **T** = `any`

• **E** *extends* `object` = `any`

• **JSON** *extends* `Record`\<`string`, `any`\> = `any`

## Properties

### rxapFormGroup

> **rxapFormGroup**: [`RxapFormGroup`](../wiki/Class.RxapFormGroup)\<`T`, `E`\>

Defined in: [packages/angular/forms/src/lib/model.ts:58](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/model.ts#L58)

***

### rxapMetadata

> **rxapMetadata**: [`FormDefinitionMetadata`](../wiki/Interface.FormDefinitionMetadata)

Defined in: [packages/angular/forms/src/lib/model.ts:63](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/model.ts#L63)

used to access the form definition metadata type save

## Methods

### getSubmitValue()?

> `optional` **getSubmitValue**(): `JSON`

Defined in: [packages/angular/forms/src/lib/model.ts:75](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/model.ts#L75)

Called to get the value that should be submitted. If not defined
the value property of the root RxapFormGroup instance will be used

#### Returns

`JSON`

***

### rxapReuse()?

> `optional` **rxapReuse**(): `void`

Defined in: [packages/angular/forms/src/lib/model.ts:69](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/model.ts#L69)

The Reuse hook is called when the instance is reused.
And can be used to reset or alter the local state of the instance.

#### Returns

`void`

***

### toJSON()?

> `optional` **toJSON**(): `JSON`

Defined in: [packages/angular/forms/src/lib/model.ts:81](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/model.ts#L81)

Called to get the value that should be submitted. If not defined
the value property of the root RxapFormGroup instance will be used

#### Returns

`JSON`
